# Generated by go2rpm
%bcond_without check

# https://github.com/golang/build
%global goipath         golang.org/x/build
%global forgeurl        https://github.com/golang/build
%global commit          0a4bf693f6139da99647cdcccd3fd0b8a6fbfd70

%gometa

%global common_description %{expand:
Packages and tools that support Go's build system and the development
of the Go programming language.}

%global golicenses      LICENSE PATENTS
%global godocs          doc AUTHORS CONTRIBUTING.md CONTRIBUTORS README.md

Name:           %{goname}
Version:        0
Release:        %mkrel 0.7
Summary:        Packages and tools that support Go's build system
Group:          Development/Other
# Upstream license specification: BSD-3-Clause
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
# Fix githubdirect.issues.listcomments parameters
# to match newer github.com/google/go-github
Patch0:         0001-Fix-githubdirect.issues.listcomments-parameters.patch

BuildRequires:  golang(cloud.google.com/go/bigquery)
BuildRequires:  golang(cloud.google.com/go/compute/metadata)
BuildRequires:  golang(cloud.google.com/go/datastore)
BuildRequires:  golang(cloud.google.com/go/errorreporting)
BuildRequires:  golang(cloud.google.com/go/monitoring/apiv3)
BuildRequires:  golang(cloud.google.com/go/pubsub)
BuildRequires:  golang(cloud.google.com/go/secretmanager/apiv1)
BuildRequires:  golang(cloud.google.com/go/storage)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/credentials)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/ec2metadata)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/request)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/session)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/ec2)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/servicequotas)
BuildRequires:  golang(github.com/bradfitz/go-smtpd/smtpd)
BuildRequires:  golang(github.com/coreos/go-systemd/activation)
BuildRequires:  golang(github.com/coreos/go-systemd/daemon)
BuildRequires:  golang(github.com/gliderlabs/ssh)
BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(github.com/golang/protobuf/ptypes)
BuildRequires:  golang(github.com/golang/protobuf/ptypes/timestamp)
BuildRequires:  golang(github.com/google/go-github/github)
BuildRequires:  golang(github.com/google/go-github/v33/github)
BuildRequires:  golang(github.com/google/uuid)
BuildRequires:  golang(github.com/googleapis/gax-go/v2)
BuildRequires:  golang(github.com/gregjones/httpcache)
BuildRequires:  golang(github.com/jellevandenhooff/dkim)
BuildRequires:  golang(github.com/kr/pty)
BuildRequires:  golang(github.com/NYTimes/gziphandler)
BuildRequires:  golang(github.com/sendgrid/sendgrid-go)
BuildRequires:  golang(github.com/sendgrid/sendgrid-go/helpers/mail)
BuildRequires:  golang(go4.org/strutil)
BuildRequires:  golang(go4.org/syncutil)
BuildRequires:  golang(go4.org/types)
BuildRequires:  golang(golang.org/x/crypto/acme)
BuildRequires:  golang(golang.org/x/crypto/acme/autocert)
BuildRequires:  golang(golang.org/x/crypto/ssh)
BuildRequires:  golang(golang.org/x/net/context/ctxhttp)
BuildRequires:  golang(golang.org/x/net/http2)
BuildRequires:  golang(golang.org/x/oauth2)
BuildRequires:  golang(golang.org/x/oauth2/google)
BuildRequires:  golang(golang.org/x/perf/storage)
BuildRequires:  golang(golang.org/x/sync/errgroup)
BuildRequires:  golang(golang.org/x/text/collate)
BuildRequires:  golang(golang.org/x/text/language)
BuildRequires:  golang(golang.org/x/time/rate)
BuildRequires:  golang(google.golang.org/api/compute/v1)
BuildRequires:  golang(google.golang.org/api/container/v1)
BuildRequires:  golang(google.golang.org/api/deploymentmanager/v2)
BuildRequires:  golang(google.golang.org/api/googleapi)
BuildRequires:  golang(google.golang.org/api/iterator)
BuildRequires:  golang(google.golang.org/api/oauth2/v2)
BuildRequires:  golang(google.golang.org/api/option)
BuildRequires:  golang(google.golang.org/genproto/googleapis/api/label)
BuildRequires:  golang(google.golang.org/genproto/googleapis/api/metric)
BuildRequires:  golang(google.golang.org/genproto/googleapis/cloud/secretmanager/v1)
BuildRequires:  golang(google.golang.org/genproto/googleapis/monitoring/v3)
BuildRequires:  golang(google.golang.org/grpc)
BuildRequires:  golang(google.golang.org/grpc/codes)
BuildRequires:  golang(google.golang.org/grpc/credentials)
BuildRequires:  golang(google.golang.org/grpc/metadata)
BuildRequires:  golang(google.golang.org/grpc/status)
BuildRequires:  golang(gopkg.in/inf.v0)
BuildRequires:  golang(grpc.go4.org)
BuildRequires:  golang(grpc.go4.org/codes)

%if %{with check}
# Tests
BuildRequires:  golang(cloud.google.com/go/pubsub/pstest)
BuildRequires:  golang(github.com/davecgh/go-spew/spew)
BuildRequires:  golang(github.com/google/go-cmp/cmp)
BuildRequires:  golang(github.com/google/go-cmp/cmp/cmpopts)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
%patch0 -p1
sed -i 's|github.com/google/go-github/v28|github.com/google/go-github/v33|' $(find . -iname "*.go" -type f)
# Remove maintserve because it pulls extra dependencies (shurcooL)
rm -rf maintner/cmd/maintserve

%build
for cmd in cmd/* ; do
  rm -rf ~/.cache/go-build/
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck -d cloudfns/sendwikidiff \
         -d cmd/coordinator  \
         -d maintner/godata  \
         -t maintner/maintnerd
%endif

%files
%license LICENSE PATENTS
%doc doc AUTHORS CONTRIBUTING.md CONTRIBUTORS README.md
%{_bindir}/*

%gopkgfiles



%changelog
* Mon Jan 25 2021 pterjan <pterjan> 0-0.7.mga8
+ Revision: 1673294
- Fix to use go-github v33

* Sun Sep 13 2020 pterjan <pterjan> 0-0.6.mga8
+ Revision: 1625946
- SYnc with Fedora

* Thu Nov 29 2018 pterjan <pterjan> 0-0.5.mga7
+ Revision: 1336780
- Build everything except coordinator which is failing
- Rebuild without bootstrap

* Wed Nov 28 2018 pterjan <pterjan> 0-0.4.mga7
+ Revision: 1336328
- imported package golang-x-build

